/**********************************************************************
 *  
 *  bitset.h
 *  
 *  copyright (c) 1988 j. alan eldridge
 *  
 *********************************************************************/

#ifndef __BITSET__
#define __BITSET__

typedef struct {
    int lo, hi;
    int n_memb;
    int *bitmap;
} BITSET;

#ifndef NO_PROTO

int bitset_new(
    BITSET  *bsp,
    int     lo,
    int     hi);

int bitset_clr(BITSET  *bsp);
    
int bitset_set(BITSET  *bsp);
    
int bitset_free(BITSET  *bsp);

int bitset_cnt(BITSET  *bsp);

int bitset_in(
    BITSET   *bsp,
    int      val);
    
int bitset_add(
    BITSET   *bsp,
    int      val);
    
int bitset_rmv(
    BITSET   *bsp,
    int      val);

#endif

#endif /* __BITSET__ */
